#/bin/sh
GLOB_CFG_FILE="/etc/dak-net-watchdog.cfg"
GLOB_CHECK_IP="192.168.240.1"
GLOB_DATE=$(date)
GLOB_CHECKFILE="/var/volatile/run/dak-net-watchdog.sts"
GLOB_RESET_DWELL=1
GLOB_RESET_USB=1
GLOB_RESET_ETH=1

#LOAD CONFIG IF IT EXISTS
if [ -f "$GLOB_CFG_FILE" ] ; then
	. "$GLOB_CFG_FILE"
fi

ping -c 1 $GLOB_CHECK_IP >/dev/null 2>&1

#IF PING SUCCESSFUL, EXIT
if [ $? -eq 0 ] ; then
	if [ ! -f "$GLOB_CHECKFILE" ] ; then 
		touch "$GLOB_CHECKFILE"
	fi
	exit 0
fi
[[ -f "$GLOB_CHECKFILE" ]] || exit 0
echo "$GLOB_DATE: Unable to ping... resetting..."

if [ $GLOB_RESET_ETH -eq 1 ] ; then
	/sbin/ifdown eth0 /dev/null 2>&1
fi
if [ $GLOB_RESET_USB -eq 1 ] ; then
	/sbin/ifdown usb0 /dev/null 2>&1
fi
sleep $GLOB_RESET_DWELL
if [ $GLOB_RESET_ETH -eq 1 ] ; then 
	/sbin/ifup eth0 >>/dev/null 2>&1
fi
if [ $GLOB_RESET_USB -eq 1 ] ; then
	/sbin/ifup usb0 >>/dev/null 2>&1
fi
exit 0
